apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: web-app-example
  labels:
    app: web-app-example
  annotations: 
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
    certmanager.k8s.io/cluster-issuer: letsencrypt-stage
spec:
  rules:
  - host: webapp.andrew.csol.cloud
    http:
      paths:
      - backend:
          serviceName: web-app-example-svc
          servicePort: 80
  tls:
  - secretName: webapp-andrew-csol-cloud-tls
    hosts:
    - webapp.andrew.csol.cloud

